%define oname   json_pure

Name:       ruby-%{oname}
Version:    1.8.3
Release:    %mkrel 1
Summary:    JSON Implementation for Ruby
Group:      Development/Ruby
License:    GPLv2
URL:        http://flori.github.com/json
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildRequires: ruby-devel
BuildArch:  noarch

%description
This is a JSON implementation in pure Ruby.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc README.rdoc
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Mon Jan 04 2016 pterjan <pterjan> 1.8.3-1.mga6
+ Revision: 919690
- Update to 1.8.3

* Sat Nov 28 2015 blino <blino> 1.8.1-4.mga6
+ Revision: 906862
- rebuild for new ruby gems macro

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-3.mga5
+ Revision: 743584
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.1-2.mga5
+ Revision: 688847
- Mageia 5 Mass Rebuild

* Mon May 26 2014 pterjan <pterjan> 1.8.1-1.mga5
+ Revision: 626652
- Update to 1.8.1

* Sat Dec 28 2013 pterjan <pterjan> 1.7.4-9.mga4
+ Revision: 561992
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 1.7.4-8.mga4
+ Revision: 561372
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1.7.4-7.mga4
+ Revision: 535538
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1.7.4-6.mga4
+ Revision: 482138
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 1.7.4-5.mga4
+ Revision: 479015
- Fix file list
- Use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 1.7.4-4.mga3
+ Revision: 396115
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.7.4-3.mga3
+ Revision: 381076
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 1.7.4-2.mga3
+ Revision: 311966
- rebuild for new ruby

* Sat Aug 11 2012 shlomif <shlomif> 1.7.4-1.mga3
+ Revision: 280721
- New version 1.7.4

* Sat Apr 16 2011 shikamaru <shikamaru> 1.5.1-1.mga1
+ Revision: 86352
- new version 1.5.1 - enable test suite

* Wed Jan 26 2011 shikamaru <shikamaru> 1.4.6-3.mga1
+ Revision: 39681
- rebuild for new rubygems.rb

* Sun Jan 23 2011 shikamaru <shikamaru> 1.4.6-2.mga1
+ Revision: 34628
- imported package ruby-json_pure


* Sun Jan 23 2011 Remy CLOUARD <shikamaru@mandriva.org> - 1.4.6-2mdv2011.0
- Apply new ruby policy
- Apply general mageia policy

* Sun Dec 19 2010 Rémy Clouard <shikamaru@mandriva.org> 1.4.6-1mdv2011.0
+ Revision: 623081
- Bump release
- new version 1.4.6
- fix minor typo in %%description

* Thu Nov 04 2010 Rémy Clouard <shikamaru@mandriva.org> 1.2.4-1mdv2011.0
+ Revision: 593116
- bump release

* Fri Sep 17 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.2.0-2mdv2011.0
+ Revision: 579200
- rebuild for automatic provides

* Wed Feb 03 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.2.0-1mdv2010.1
+ Revision: 500331
- import rubygem-json_pure


* Mon Feb  3 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.2.0-1
- initial release
